<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.1</TargetFramework>
    <Platforms>AnyCPU;x64;x86</Platforms>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="ApiModel\EX\**" />
    <Compile Remove="Entities\FM\**" />
    <Compile Remove="Entities\LG\**" />
    <Compile Remove="Entities\NW\**" />
    <Compile Remove="Entities\T4\**" />
    <Compile Remove="Enums\BD\**" />
    <Compile Remove="Enums\LG\**" />
    <Compile Remove="Enums\NW\**" />
    <EmbeddedResource Remove="ApiModel\EX\**" />
    <EmbeddedResource Remove="Entities\FM\**" />
    <EmbeddedResource Remove="Entities\LG\**" />
    <EmbeddedResource Remove="Entities\NW\**" />
    <EmbeddedResource Remove="Entities\T4\**" />
    <EmbeddedResource Remove="Enums\BD\**" />
    <EmbeddedResource Remove="Enums\LG\**" />
    <EmbeddedResource Remove="Enums\NW\**" />
    <None Remove="ApiModel\EX\**" />
    <None Remove="Entities\FM\**" />
    <None Remove="Entities\LG\**" />
    <None Remove="Entities\NW\**" />
    <None Remove="Entities\T4\**" />
    <None Remove="Enums\BD\**" />
    <None Remove="Enums\LG\**" />
    <None Remove="Enums\NW\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Entities\BS\T_BS_CHECKLEVEL.cs" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="ApiModel\LG\" />
    <Folder Include="ApiModel\NW\" />
    <Folder Include="ApiModel\HM\" />
    <Folder Include="Enums\FM\" />
    <Folder Include="Enums\FO\" />
    <Folder Include="IServices\FM\" />
    <Folder Include="IServices\LG\" />
    <Folder Include="IServices\NW\" />
    <Folder Include="Properties\" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="log4net" Version="2.0.13" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="5.0.12">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="5.0.12" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="5.0.0" />
    <PackageReference Include="MySql.Data.EntityFrameworkCore" Version="8.0.19" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="Oracle.EntityFrameworkCore" Version="5.21.4" />
    <PackageReference Include="StackExchange.Redis" Version="2.2.88" />
    <PackageReference Include="System.Linq.Dynamic.Core" Version="1.2.14" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\APT.BaseData.Domain\APT.BaseData.Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="APT.Infrastructure.Api">
      <HintPath>..\dll\APT.Infrastructure.Api.dll</HintPath>
    </Reference>
    <Reference Include="APT.Infrastructure.Core">
      <HintPath>..\dll\APT.Infrastructure.Core.dll</HintPath>
    </Reference>
    <Reference Include="APT.Infrastructure.EF">
      <HintPath>..\dll\APT.Infrastructure.EF.dll</HintPath>
    </Reference>
    <Reference Include="APT.Infrastructure.Utility">
      <HintPath>..\dll\APT.Infrastructure.Utility.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
